[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Updating pygame to 1.8.0



Hi,

Does anyone have an objection to my updating pygame to 1.8.0 in F9?
It's been 1.8.0 in rawhide for awhile now, with no known issues.

This should fix this bug:

https://bugzilla.redhat.com/show_bug.cgi?id=452773
(crashes the application if fonts.dir is empty or curropted)

And make OLPC guys happy.

At the same time, I'd like to move to requiring numpy instead of
python-numeric, as python-numeric is deprecated [1].

https://bugzilla.redhat.com/show_bug.cgi?id=457074

repoquery tells me the following packages require pygame:

keyjnote-0:0.10.2-1.fc9.noarch
PySolFC-music-0:4.40-3.noarch
pygame-devel-0:1.7.1-16.fc9.i386
python-kaa-imlib2-0:0.2.3-2.fc9.i386
poker2d-0:1.6.0-1.fc9.i386
childsplay-0:0.90.2-1.fc9.noarch
angrydd-0:1.0.1-3.fc8.noarch
pygame-devel-0:1.7.1-17.fc9.i386
poker2d-0:1.4.0-1.fc9.i386
magicor-0:1.1-0.1.rc1.fc9.noarch
seahorse-adventures-0:1.0-2.fc8.noarch
monsterz-0:0.7.1-3.fc9.i386
solarwolf-0:1.5-2.fc8.noarch
slingshot-0:0.8.1p-1.fc8.noarch


A quick test of several of the above doesn't reveal any problems.

I've requested a push to updates-testing, if those interested could
take a look when it shows up there:

https://admin.fedoraproject.org/updates/pygame-1.8.0-2.fc9

[1] http://wiki.python.org/moin/NumericAndScientific

Thanks,

-RN

-- 
Robin Norwood

"The Sage does nothing, yet nothing remains undone."
-Lao Tzu, Te Tao Ching


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]